Subject: bug#77715: [PATCH] Add ring-bell functions for mode line and header line.

From: Elijah Gabe Pérez <[email-masked]>
Date: Fri, 11 Apr 2025 12:47:40 -0600

Ship Mints <[email-masked]> writes:
>  Anyway, it changed it for use sit-for instead.
>
> Cool.  You wrapped it with unwind-protect, yes?

Yes.

>>> Is a new face really necessary just to implement a flash?  The implementation I proposed
>>> allows the user to specify any face attributes to define what they want for a flash.  I wouldn't use this
>>> feature without it being more reliable and flexible.
>>  I think that adding a new face for this would be better, it makes custom
>>  themes set it and change it dynamically; of course, the user can change
>>  face attributes freely.
> As long as the implementation accepts a list of faces to flash as mine does, that sounds good.  I'd just
> ignore the new face in my use.

Yeah it does:

+(defcustom flash-face-faces
+  '(mode-line-active)

By default it is set to `mode-line-active'.

-- 
                                          - E.G via GNU Emacs and Org.